Package org.postgresql.fastpath

# Class FastpathArg

java.lang.Object
org.postgresql.fastpath.FastpathArg

public class FastpathArg extends Object
Each fastpath call requires an array of arguments, the number and type dependent on the function being called.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FastpathArg(byte[] bytes)`
  Constructs an argument that consists of an array of bytes.
  `FastpathArg(byte @Nullable [] buf, int off, int len)`
  Constructs an argument that consists of part of a byte array.
  `FastpathArg(int value)`
  Constructs an argument that consists of an integer value.
  `FastpathArg(long value)`
  Constructs an argument that consists of an integer value.
  `FastpathArg(String s)`
  Constructs an argument that consists of a String.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FastpathArg`
  `of(ByteStreamWriter writer)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FastpathArg

    public FastpathArg(int value)
    Constructs an argument that consists of an integer value.
    Parameters:
      `value` - int value to set

  - ### FastpathArg

    public FastpathArg(long value)
    Constructs an argument that consists of an integer value.
    Parameters:
      `value` - int value to set

  - ### FastpathArg

    public FastpathArg(byte[] bytes)
    Constructs an argument that consists of an array of bytes.
    Parameters:
      `bytes` - array to store

  - ### FastpathArg

    public FastpathArg(byte @Nullable [] buf, int off, int len)
    Constructs an argument that consists of part of a byte array.
    Parameters:
      `buf` - source array
      `off` - offset within array
      `len` - length of data to include

  - ### FastpathArg

    public FastpathArg(String s)
    Constructs an argument that consists of a String.
    Parameters:
      `s` - String to store

- ## Method Details

  - ### of

    public static FastpathArg of(ByteStreamWriter writer)